regina::DegreeGreaterThan< dim, subdim > Class Template Reference
Generic triangulations

A function object used for sorting faces of triangulations by decreasing degree. More...

`#include <triangulation/generic/triangulation.h>`

## Public Member Functions

| DegreeGreaterThan (const Triangulation< dim > &tri)
| Constructions a function object for working with faces of the given triangulation. More...
bool | operator() (unsigned a, unsigned b) const
| Compares the degrees of the subdim-dimensional faces at the given indices within the working triangulation. More...

## Detailed Description

### template<int dim, int subdim>
class regina::DegreeGreaterThan< dim, subdim >

A function object used for sorting faces of triangulations by decreasing degree.

This can (for instance) be used with std::sort().

The template argument dim refers to the dimension of the overall triangluation(s) with which you are working. The template argument subdim refers to the dimension of the faces that you are sorting. So, for instance, to sort edges of a 3-manifold triangulation by decreasing edge degree, you would use DegreeGreaterThan<3, 1>.

A single instance of this class works with faces of a single fixed triangulation (which is passed to the class constructor).

Precondition
  dim is one of Regina's standard dimensions.
  subdim is between 0 and dim-1 inclusive.

The documentation for this class was generated from the following file:

- triangulation/generic/triangulation.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).